﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VP_II
{
    public class Kosarkas : Sportista
    {
        private int brojAsistencija;
        private int brojPoena;
        private int brojSkokova;

        public int BrojSkokova
        {
            get { return brojSkokova; }
        }

        public int BrojPoena
        {
            get { return brojPoena; }
        }

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
        }

        public Kosarkas(string registracioniBroj, string ime, string prezime, DateTime datumRodjenja, Pol pol, int brojAsistencija, int brojPoena, int brojSkokova)
            : base(registracioniBroj, ime, prezime, datumRodjenja, pol)
        {
            this.brojAsistencija = brojAsistencija;
            this.brojPoena = brojPoena;
            this.brojSkokova = brojSkokova;
        }

        public override int IndexKorisnosti
        {
            get
            {
                return (brojPoena + brojAsistencija + brojSkokova);
            }
        }

        public string ToString()
        {
            string s = "";

            s = IndexKorisnosti + ", " + Ime + " " + Prezime + " " + DatumRodjenja + ", poeni = " + BrojPoena + ", asistencije = " + BrojAsistencija + ", skokovi = " + brojSkokova;

            return s;
        }

    }
}
