﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VP_II
{
    public delegate bool UslovSelekcije<T>(T t);
    public delegate bool UslovSortiranja<T>(T t1, T t2);

    public class Lista<T> where T : IUporediv<T>
    {
        T vrednost;

        Lista<T> sledeci;

        public Lista(T glava)
        {
            this.vrednost = glava;
            sledeci = null;
        }

        public void Add(Lista<T> element)
        {
            Lista<T> pom = this;

            while (pom.sledeci != null)
            {
               pom = pom.sledeci;
            }

            pom.sledeci = element;
        }

        public T this[int index]
        {
            get
            {
                int i = 0;

                Lista<T> pom = this;

                while (pom != null)
                {
                    if (i == index)
                        return pom.vrednost;

                    i++;
                }

                return default(T) ;
            }
        }

        public Lista<T> VratiSortiranuListu(UslovSortiranja<T> uslov)
        {
            int count = 0;

            Lista<T> pom = this;

            while (pom != null)
            {
                count++;
            }

            return null;
        }

        public string ispis()
        {
            string s = "";

            Lista<T> pom = this;

            while (pom != null)
            {
                s += pom.vrednost.ToString() +"\n";
                pom = pom.sledeci;
            }

            return s;
        }
    }
}
