﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace zadatak
{
    public enum Pol
    {
        musko,
        zensko
    }

    public class Sportista : IUporediv<Sportista>
    {
        private string registracioniBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;


        public string Ime
        {
            get { return ime; }
            set { ime = value; }
        }
        
        public string Prezime
        {
            get { return prezime; }
            set { prezime = value; }
        }
        
        public DateTime DatumRodjenja
        {
            get { return datumRodjenja; }
            set { datumRodjenja = value; }
        }
        
        public Pol PolSportiste
        {
            get { return pol; }
            set { pol = value; }
        }

        public string RegistracioniBroj
        {
            get { return registracioniBroj; }
            set { registracioniBroj = value; }
        }

        public Sportista(string regBroj, string ime, string prezime, DateTime datum, Pol pol)
        {
            this.RegistracioniBroj = regBroj;
            this.Ime = ime;
            this.Prezime = prezime;
            this.DatumRodjenja = datum;
            this.PolSportiste = pol;
        }

        public virtual int IndexKorisnosti;
    
        public bool Equals(Sportista other)
        {
            if (this.RegistracioniBroj == other.RegistracioniBroj)
                return true;
            return false;
        }  

        public override string ToString()
        {
            return  IndexKorisnosti + "  " + Ime + "  " +  Prezime + "  " + DatumRodjenja;
        }
    }
}
