﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Dusan_Zvkovic_56_12
{
    public class Fudbaler : Sportista
    {
        private int brojAsistencija;
        private int brojGolova;

        public int BrojAsistencija
        {
            get
            {
                return brojAsistencija;
            }
        }
        public int BrojGolova
        {
            get
            {
                return brojGolova;
            }
        }
        public Fudbaler(string rb, string i, string p, DateTime dr, Pol po, int brA, int brG)
            : base(rb, i, p, dr, po)
        {
            brojAsistencija = brA;
            brojGolova = brG;
        }
        public override int IndexKorisnosti
        {
            get
            {
                return (brojGolova * 30 + brojAsistencija * 20);
            }
        }
        public override string ToString()
        {
            return base.ToString() + " golovi=" + BrojGolova + " sistencije=" + BrojAsistencija;
        }
    }
}
