﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Dusan_Zvkovic_56_12
{
    public class Sportista : IUporediv<Sportista>
    {
        private string registracionBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;

        public Sportista(string rb, string i, string p, DateTime dr, Pol po)
        {
            registracionBroj = rb;
            ime = i;
            prezime = p;
            datumRodjenja = dr;
            pol = po;
        }
        public string RegistracionBroj
        {
            get
            {
                return registracionBroj;
            }
        }
        public string Ime
        {
            get
            {
                return ime;
            }
        }

        public string Prezime
        {
            get
            {
                return prezime;
            }
        }
        public DateTime DatumRodjenja
        {
            get
            {
                return datumRodjenja;
            }
        }
        public Pol PolSportiste
        {
            get
            {
                return pol;
            }
        }

        public bool Uporedi(Sportista other)
        {
            if (this.registracionBroj == other.registracionBroj)
                return true;
            else
                return false;
        }
        public virtual int IndexKorisnosti
        {
            get
            {
                return 0;
            }
        }

        public override string ToString()
        {
            return IndexKorisnosti + " " + Ime + " " + Prezime + " " + DatumRodjenja;
        }
    }
}
