﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication
{
    public class Fudbaler: Sportista
    {
        private int brojAsistencija;
        private int brojGolova;
        public int BrojAsistencija { get { return brojAsistencija; } }
        public int BrojGolova { get;  }

        public Fudbaler(string RegBroj, string ime, string prezime, DateTime datum, Pol pol, int brojA, int brojG)
            : base(RegBroj, ime, prezime, datum, pol)
        {
            this.brojAsistencija = brojA;
            this.brojGolova = brojG;
        }

        public override int IndexKorisnosti
        {
            get
            {
                return this.BrojGolova * 30 + this.BrojAsistencija * 20;
            }
            set
            {
                base.IndexKorisnosti = value;
            }
        }

        public override string ToString()
        {
            return base.ToString() + IndexKorisnosti + "," + Ime + "," + Prezime + "," + DatumRodjenja + ",golovi=" + brojGolova + "," + ",asistencije=" + brojAsistencija;
        }
    }
}
