﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication
{
  

    public class Sportista: IUporediv<Sportista>
    {
        private string registracioniBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;

        public string RegistracioniBroj { get { return this.registracioniBroj; } }
        public string Ime { get { return this.ime; } }
        public string Prezime { get; set; }
        public DateTime DatumRodjenja{ get; }
        public Pol PolSportiste { get { return this.pol; } }
        public virtual int IndexKorisnosti { get; set; }
       
        public Sportista(string RegBroj,string ime,string prezime,DateTime datum,Pol pol)
        {
            this.datumRodjenja = datum;
            this.registracioniBroj = RegBroj;
            this.ime = ime;
            this.prezime = prezime;
            this.pol = pol;
        }

        public string ToString()
        {
            return  IndexKorisnosti + ", " + Ime + ", " + Prezime + ", " + DatumRodjenja;
        }


        public bool Uporedi(Sportista item)
        {
            string[] prvi=item.registracioniBroj.Split('-');
            int broj1 = int.Parse(prvi[0]);
            string[] drugi = item.registracioniBroj.Split('-');
            int broj2 = int.Parse(drugi[0]);
            if (broj2 < broj1) return false;
            else return true;
        }

        public IEnumerator<Sportista> GetEnumerator()
        {
            throw new NotImplementedException();
        }

        System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
        {
            throw new NotImplementedException();
        }
    }
}
