﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LanaMiljkovic66_12
{
    public delegate bool UslovSelekcije<T>(T element);
    public delegate bool UslovSortiranja<T, G>(T element1, G element2);
    public class Lista<T>:T where T :IUporediv<T>
    {
        

        //public List<T> listasportista;
        //
        //public T sledeci;


        public Lista<T> glavaListe;
        public T vrednost;
        public Lista<T> sledeci = null;

        public Lista(Lista<T> glavaliste)
        {
            //this.glavaListe = glavaliste;
            //listasportista = new List<T>();
            //listasportista.Add(glavaliste);
            vrednost = glavaliste.vrednost;
        }

        public Lista()
        {
            // TODO: Complete member initialization
        }
        public void Add(Lista<T> element)
        {

            this.sledeci = element;

        }
        public T this[int index]
        {
            get
            {
                int i = 0;
                Lista<T> pom=glavaListe;
                while (pom != null)
                {
                    if (i == index)
                        return pom.vrednost;
                    pom = pom.sledeci;
                    i++;
                
                }
                return pom.vrednost;
            }
        

        }
      

        public IEnumerator<Lista<T>> GetEnumerator()
        {
            Lista<T> pom = glavaListe;
            while (pom != null)
            {
                yield return pom;
                pom = pom.sledeci;
 
            }
        }


        public Lista<T> VratiEnumeratorPremaSelekciji(UslovSelekcije<T> Uslov)
        {
            Lista<T> novalista=new Lista<T>();
            foreach (Lista<T> t in this)
            {
                if (Uslov(t.vrednost))
                {
                    novalista.Add(t);
                }
            }
            return novalista;
        }
        public string ToString()
        {
            string s = "";
            foreach (Lista<T> t in this)
            {
                s = s + t.vrednost.ToString()+"\n";
            }
            return s;
        }
      /*public Lista<T> VratiSortiranuListu(UslovSortiranja<T,G> uslov)
        { 
           
        }*/
    
    }
}
