﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FilipTubic7812
{
    public class Sportista : IUpotrebiv<Sportista>
    {
        private string registracionBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;
        public string RegistracioniBroj {
            get
            {
                return this.registracionBroj;
            }
            private set
            {
                this.registracionBroj = value;
            }
        }
        public string Ime
        {
            get
            {
                return this.ime;
            }
            private set
            {
                this.ime = value;
            }
        }
        public string Prezime
        {
            get
            {
                return this.prezime;
            }
            private set
            {
                this.prezime = value;
            }
        }
        public DateTime DatumRodjenja
        {
            get
            {
                return this.datumRodjenja;
            }
            private set
            {
                this.datumRodjenja = value;
            }
        }
        public Pol PolSportiste
        {
            get
            {
                return this.pol;
            }
            private set
            {
                this.pol = value;
            }
        }

        public Sportista(string regBroj, string ime, string prezime,
                        DateTime datumRodj, Pol pol)
        {
            this.registracionBroj = regBroj;
            this.ime = ime;
            this.prezime = prezime;
            this.datumRodjenja = datumRodj;
            this.pol = pol;
        }
        public virtual int IndexKorisnosti { get{return 0;} }



        public bool Uporedi(Sportista tip)
        {
            if (tip.RegistracioniBroj == this.RegistracioniBroj)
                return true;

            return false;
        }

        public override string ToString()
        {
            return IndexKorisnosti + "," + Ime + " " + Prezime + " " + DatumRodjenja;
        }
    }
}
