﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    class Kosarkas:Sportista,IUporediv<Kosarkas> 
    {
        private int brojAsistencija;
        private int brojPoena;
        private int brojSkokova;
        public int BrojAsistencija { get; private set; }
        public int BrojPoean { get; private set; }
        public int BrojSkokova { get; private set; }


        public Kosarkas(String reg, String ime, String prezime, DateTime datumRodjenja, Pol pol,int asistencije, int poeni, int skokovi):base(reg,ime,prezime,datumRodjenja,pol)
        {
            

            this.brojAsistencija = asistencije;
            this.brojPoena = poeni;
            this.brojSkokova = skokovi;
            this.brojSkokova = skokovi;
            this.BrojPoean = poeni;
            this.BrojAsistencija = asistencije;

        
        }
        public override int IndexKorisnosti
        {
            get
            {
                return base.IndexKorisnosti;
            }
            set
            {
                base.IndexKorisnosti = brojAsistencija+brojPoena+brojSkokova;
            }
        }
        public override string ToString()
        {
            return ""+IndexKorisnosti+"m"+Ime+" "+Prezime+" "+DatumRodjenja+" ,poeni= "+BrojPoean+" ,asistencije="+BrojAsistencija+" ,skokovi= "+BrojSkokova;
        }

       

        public bool Uporedi(Kosarkas promenljiva)
        {
            return base.Uporedi(this);
        }
    }
}
