﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;

namespace Kolokvijum
{
    public enum Pol { musko, zensko }
    
    public partial class MainWindow : Window
    {
        Lista<Sportista> svi;

        public MainWindow()
        {
            InitializeComponent();
            svi = null;
            cbIzbor.Items.Add("Sortirana lista sportista prema indeksu korisnosti");
            cbIzbor.Items.Add("Kosarkasice i fudbalerke");
            //cbIzbor.Items.Add("Fudbalerke mladje od 20 godina sortirane prema broju postignutih golova");
        }

        private void btnFudbaleri_Click(object sender, RoutedEventArgs e)
        {
            StreamReader s = new StreamReader("fudbaleri.csv");
            string[] red;
            string ucitaj;
            string[] datum;
            Fudbaler f;

            while (!s.EndOfStream)
            {
                ucitaj = s.ReadLine();
                red = ucitaj.Split(',');
                datum = red[3].Split('.');
                Pol pol;

                if (red[6][0] == 'm')
                    pol = Pol.musko;
                else
                    pol = Pol.zensko;

                Console.WriteLine(red.Count());
                //f = new Fudbaler(red[0], red[1], red[2], new DateTime(int.Parse(datum[2]), int.Parse(datum[1]), int.Parse(datum[0])), pol, int.Parse(red[5]), int.Parse(red[4]));

                if (svi == null)
                    svi = new Lista<Sportista>(f);
                else
                    svi.Add(f);
            }

           // foreach (Fudbaler f in svi)
               // lbFudbaleri.Items.Add(f);

            s.Close();
        }

        private void btnInformacija_Click(object sender, RoutedEventArgs e)
        {
            int indeks = int.Parse(tbIndeks.Text);

           // lbInformacija.SetValue(svi[indeks]);
        }

        private void btnKosarkasi_Click(object sender, RoutedEventArgs e)
        {
            StreamReader s = new StreamReader("kosarkasi.csv");
            string[] red;
            string[] datum;
            string ucitaj;
            Kosarkas k;

            while (!s.EndOfStream)
            {
                ucitaj = s.ReadLine();
                red = ucitaj.Split(',');
                datum = red[3].Split('.');
                Pol pol;

                if (red[7][0] == 'm')
                    pol = Pol.musko;
                else
                    pol = Pol.zensko;

                k = new Kosarkas(red[0], red[1], red[2], new DateTime(int.Parse(datum[2]), int.Parse(datum[1]), int.Parse(datum[0])), pol, int.Parse(red[5]), int.Parse(red[4]), int.Parse(red[6]));

                if (svi == null)
                    svi = new Lista<Sportista>(k);
                else
                    svi.Add(k);

            }

            s.Close();

            // foreach (Kosarkas k in svi)
            // lbKosarkasi.Items.Add(k);
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {

        }

        private void button1_Click_1(object sender, RoutedEventArgs e)
        {

        }
    }
}
