﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    public class Sportista:IUporediv<Sportista>
    {
        private string registracioniBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;

        public string RegistracioniBroj
        {
            get { return registracioniBroj; }
            private set { registracioniBroj = value; }
        }

        public string Ime
        {
            get { return ime; }
            private set { ime = value; }
        }

        public string Prezime
        {
            get { return prezime; }
            private set { prezime = value; }
        }

        public DateTime DatumRodjenja
        {
            get { return datumRodjenja; }
            private set{datumRodjenja=value;}
        }


        public Pol PolSportiste
        {
            get { return pol; }
            private set { pol = value; }
        }

        public Sportista(string registracioniBroj,string ime,string prezime,DateTime datumRodjenja,Pol pol)
        {
            RegistracioniBroj = registracioniBroj;
            Ime = ime;
            Prezime = prezime;
            DatumRodjenja = datumRodjenja;
            PolSportiste = pol;
        }

        

        public virtual int IndexKorisnosti { get; set; }

        public bool Uporedi(Sportista promenljiva)
        {
            if (this.registracioniBroj == promenljiva.registracioniBroj) return true;

            return false;
        }

        public String toString()
        {
            return IndexKorisnosti + "," + Ime + " " + Prezime + " " + DatumRodjenja;
        }
    }
}
