﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    class Sportista:IUporediv<Sportista>
    {
        private string registracioniBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;

        public string RegistracioniBroj { get { return registracioniBroj; } }
        public string Ime { get { return ime; } }
        public string Prezime { get { return prezime; } }
        public DateTime DatumRodjenja { get { return datumRodjenja; } }
        public Pol PolSportiste { get { return pol; }  }

        public Sportista(string rb, string ime, string pr, DateTime d, Pol l)
        {
            this.datumRodjenja = d;
            this.registracioniBroj = rb;
            this.ime = ime;
            this.prezime = pr;
            this.pol = l;
        }



        public virtual int IndexKorisnosti { get { return 0; } }


        public bool Uporedi(Sportista p)
        {
            if (this.registracioniBroj == p.RegistracioniBroj) return true;
            return false;
        }

        public virtual string toString()
        {

            return Convert.ToString(IndexKorisnosti) + " " + this.ime + " " + this.Prezime + " " + Convert.ToString(this.datumRodjenja);
        }



    }
}
