﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication1
{
    class Fudbaler:Sportista
    {

        private int brojAsistencija;
        private int brojGolova;

        public int BrojAsistencija
        {
            get
            {
                return this.brojAsistencija;
            }
            private set
            {
                this.brojAsistencija = value;
            }
        }

        public int BrojGolova
        {
            get
            {
                return this.brojGolova;
            }
            private set
            {
                this.brojGolova = value;
            }
        }

        public Fudbaler(int brAs, int brG, string regBr, string ime, string prezime, DateTime datRodj, Pol pol)
            : base(regBr,ime,prezime,datRodj,pol)
        {
            this.brojAsistencija = brAs;
            this.brojGolova = brG;
        }

        public override int IndexKorisnosti
        {
            get
            {
                return this.brojAsistencija*20 + this.brojGolova*30;
            }
        }

        public string toString()
        {
            return base.toString() + ", golovi = " + this.brojGolova + ", asistencije = " + this.brojAsistencija;
        }
    }
}
