﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SportApp
{
    public class Lista<T> : IUporedivo<T>, IEquatable<T> where T:IEnumerable<T>
    {

        List<T> lista;

       
        public Lista(T element)
        {
            lista = new List<T>();
            lista.Add(element);
        }

        public void Add(T element)
        {
            if (Uporedi(element))
            {
                lista.Add(element);
            }
        }
    
        public T this[int indeks]
        {
            get
            {
                return lista[indeks];
            }
        }

        public bool Uporedi(IEnumerable<T> tip)
        {
            Sportista<T> s;
            s = tip as Sportista<T>;
            if (s.Uporedi(lista.First()))
            {
                return true;
            }
            return false;
        }

        public bool Equals(T other)
        {
            throw new NotImplementedException();
        }
    }
}
