﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    public class Kosarkas:Sportista

    {
        private int brojAsistencija;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
           private set { brojAsistencija = value; }
        }
        private int brojPoena;

        public int BrojPoena
        {
            get { return brojPoena; }
          private set { brojPoena = value; }
        }
        private int brojSkokova;

        public int BrojSkokova
        {
            get { return brojSkokova; }
            private set { brojSkokova = value; }
        }
        public Kosarkas(string rb,string im,string pr,DateTime dt,Pol p,int ba, int bs, int bp)
            : base(rb,im,pr,dt,p)
        {
            BrojAsistencija = ba;
            BrojPoena = bp;
            BrojSkokova = bs;
        }

        public override int IndexKorisnosti
        {
            get
            {
                return BrojAsistencija + BrojSkokova + BrojPoena ;
            }
          
        }
        public override string ToString()
        {
            return IndexKorisnosti + ", " + Ime + " " + Prezime + " " + DatumRodjenja + ", poeni = " + BrojPoena + ", asistencije = " + BrojAsistencija + ", skokovi = " + BrojSkokova;
        }

    }
}
