﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VP_II
{
    public class Fudbaler : Sportista
    {
        private int brojAsistencija;
        private int brojGolova;

        public int BrojGolova
        {
            get { return brojGolova; }
        }

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
        }

        public Fudbaler(string registracioniBroj, string ime, string prezime, DateTime datumRodjenja, Pol pol, int brojAsistencija, int brojGolova)
            : base(registracioniBroj, ime, prezime, datumRodjenja, pol)
        {
            this.brojAsistencija = brojAsistencija;
            this.brojGolova = brojGolova;
        }

        public override int IndexKorisnosti
        {
            get
            {
                return (brojGolova * 30 + brojAsistencija * 20);
            }
        }

        public string ToString()
        {
            string s = "";

            s = IndexKorisnosti + ", " + Ime + " " + Prezime + " " + DatumRodjenja + ", golovi = " + BrojGolova + ", asistencije = " + BrojAsistencija;

            return s;
        }
    }
}
