﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VP_II
{
    public class Sportista : IUporediv<Sportista>
    {
        private string registracioniBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;

        public string RegistracioniBroj
        {
            get { return registracioniBroj; }
        }

        public string Ime
        {
            get { return ime; }
        }

        public string Prezime
        {
            get { return prezime; }
        }

        public DateTime DatumRodjenja
        {
            get { return datumRodjenja; }
        }

        internal Pol Pol
        {
            get { return pol; }
        }

        public Sportista(string registracioniBroj, string ime, string prezime, DateTime datumRodjenja, Pol pol)
        {
            this.registracioniBroj = registracioniBroj;
            this.ime = ime;
            this.prezime = prezime;
            this.datumRodjenja = datumRodjenja;
            this.pol = pol;
        }

        public virtual int IndexKorisnosti { get; set; }

        public bool Uporedi(Sportista t)
        {
            if (this.registracioniBroj == t.registracioniBroj)
                return true;

            return false;
        }

        public string ToString()
        {
            string s = "";
            s = IndexKorisnosti + ", " + ime + " " + prezime + " " + datumRodjenja;

            return s;
        }
    }
}
