﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace zadatak
{
    public class Kosarkas : Sportista
    {
        private int brojAsistencija;
        private int brojSkokova;
        private int brojPoena;

        public int BrojAsistencija
        {
            get { return brojAsistencija; }
            set { brojAsistencija = value; }
        }
        
        public int BrojPoena
        {
            get { return brojPoena; }
            set { brojPoena = value; }
        }
        
        public int BrojSkokova
        {
            get { return brojSkokova; }
            set { brojSkokova = value; }
        }


        public Kosarkas(string regBroj, string ime, string prezime, DateTime datum, Pol pol, int brojAsis, int brojSkok, int brojPoena) : base(regBroj,ime,prezime, datum,pol)
        {
            this.BrojAsistencija = brojAsis;
            this.BrojPoena = brojPoena;
            this.BrojSkokova = brojSkok;
        }

        public override int IndexKorisnosti
        {
            get { return BrojPoena + BrojAsistencija + BrojSkokova; }
        }

        public override string  ToString()
        {
 	        return base.ToString() + ",poeni = "+ BrojPoena + ",asistencije = " + BrojAsistencija + ",skokovi = " + BrojSkokova;
        }
    }
}
