﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace zadatak
{
    public class Lista<T> : IUporediv<T>, IEnumerable
    {
        List<T> lista;

        public Lista()
        {
            lista = new List<T>();
        }

        public void Dodaj(IEnumerable<T> element)
        {
            foreach (T e in element)
            {
                if (!lista.Contains(e))
                {
                    lista.Add(e);
                }
            }
        }

        public List<T> this[int indeks]
        {
            get { return lista[indeks]; }
        }

        //public VratiEnumeratorPremaSelekciji()


        public IEnumerator GetEnumerator()
        {
            foreach (T item in collection)
            {
                yield return item;
            }
        }
    }
}
