﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace IIKolok
{
    public enum Pol
    {
        musko,
        zensko
    }

    public class Sportista:IUporediv<Sportista>
    {
        private string registracioniBroj;

        public string RegistracioniBroj
        {
            get { return registracioniBroj; }
        }
        private string ime;

        public string Ime
        {
            get { return ime; }
        }
        private string prezime;

        public string Prezime
        {
            get { return prezime; }
        }
        private DateTime datumRodjenja;

        public DateTime DatumRodjenja
        {
            get { return datumRodjenja; }
        }
        private Pol pol;

        public Pol PolSportiste
        {
            get { return pol; }
        }

        public Sportista(string regBr, string ime, string prezime, DateTime DoB, Pol p)
        {
            registracioniBroj = regBr;
            this.ime = ime;
            this.prezime = prezime;
            datumRodjenja = DoB;
            pol = p;
        }

        public virtual int IndexKorisnosti
        {
            get;
            set;
        }

        public bool Uporediv(Sportista t)
        {
            return this.registracioniBroj == t.registracioniBroj;
        }

        public string toString()
        {
            return IndexKorisnosti + ", " + Ime + " " + Prezime + " " + DatumRodjenja;
        }
    }
}
