﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication
{
    public class Kosarkas: Sportista
    {
        private int brojAsistencija;
        private int brojPoena;
        private int brojSkokova;
        public int BrojAsistencija {  get; }
        public int BrojPoena {  get; }
        public int BrojSkokova { get; }

        public Kosarkas(string RegBroj,string ime,string prezime,DateTime datum,Pol pol,int brojA, int brojP, int brojS):base(RegBroj,ime,prezime,datum,pol)
        {
            this.brojAsistencija = brojA;
            this.brojPoena = brojP;
            this.brojSkokova = brojS;
        }

        public override int IndexKorisnosti
        {
            get
            {
                return this.brojAsistencija+this.brojPoena+this.brojSkokova;
            }
            set
            {
                base.IndexKorisnosti = value;
            }
        }

        public string ToString()
        {
            return base.ToString() + IndexKorisnosti + "," + Ime + "," + Prezime + "," + DatumRodjenja + ", poeni=" + brojPoena + ",asistencije=" + brojAsistencija + ",skokovi=" + brojSkokova;
        }
    }
}
