﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AlekasandarDjordjevic6309
{
   public class Fudbaler:Sportista
    {
       int brojAsistencija;
       int brojGolova;

       public int BrojAsistencija
       {
           get
           {
               return brojAsistencija;
           }
           private set
           {
               this.brojAsistencija = value;
           }
       }
       public int BrojGolova
       {
           get
           {
               return brojGolova;
           }
           private set
           {
               this.brojGolova = value;
           }
       }

       public override int IndexKorisnosti
       {
           get
           {
               return (BrojGolova * 30) + (BrojAsistencija * 20);
           }
           set
           {
               base.IndexKorisnosti = value;
           }
       }

       public Fudbaler(int brojAsistencija, int brojGolova, string registracioniBroj, string ime, string prezime, DateTime datumRodjenja, Pol pol)
           : base(registracioniBroj, ime, prezime, datumRodjenja, pol)
       {
           this.BrojAsistencija = brojAsistencija;
           this.BrojGolova = brojGolova; 
       }

       public override string ToString()
       {
           return base.ToString() + ", golovi=" + this.BrojGolova + ", asistencije=" + this.BrojAsistencija;
       }
    }
}
