﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AlekasandarDjordjevic6309
{
   public class Kosarkas:Sportista
    {
       int brojAsistencija;
       int brojPoena;
       int brojSkokova;

       public int BrojAsistencija
       {
           get
           {
               return brojAsistencija;
           }
           private set
           {
               this.brojAsistencija = value;
           }
       }
       public int BrojPoena
       {
           get
           {
               return brojPoena;
           }
           private set
           {
               this.brojPoena = value;
           }
       }
       public int BrojSkokova
       {
           get
           {
               return brojSkokova;
           }
           private set
           {
               this.brojSkokova = value;
           }
       }

       public override int IndexKorisnosti
       {
           get
           {
               return BrojPoena + BrojAsistencija + BrojSkokova;
           }
           set
           {
               base.IndexKorisnosti = value;
           }
       }

       public Kosarkas(int brojAsistencija, int brojPoena, int brojSkokova, string registracioniBroj, string ime, string prezime, DateTime datumRodjenja, Pol pol)
       :base(registracioniBroj, ime, prezime, datumRodjenja, pol)
       {
           this.BrojAsistencija = brojAsistencija;
           this.BrojPoena = brojPoena;
           this.BrojSkokova = brojSkokova;
       }

       public override string ToString()
       {
           return base.ToString() + ", poeni=" + this.BrojPoena + ", asistencije=" + this.BrojAsistencija + ", skokovi=" + this.BrojSkokova;
       }
    }
}
