﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;

namespace Kolokvijum
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        Lista<Sportista> sportista;
        
        public MainWindow()
        {
            InitializeComponent();
          }

        private void btnUcitajKos_Click(object sender, RoutedEventArgs e)
        {
            StreamReader r = new StreamReader(Properties.Settings.Default.Kosarkasi);
            String[] s;
            Pol pol=0;
            Kosarkas[] k=new Kosarkas[100];
            int br=0;
            while (r.EndOfStream)
            {

                s = r.ReadLine().Split(',');
                if (s[7].Equals("m"))
                    pol = Pol.musko;
                else pol = Pol.zensko;
                k[br] = new Kosarkas(s[0], s[1], s[2], DateTime.Parse(s[3]), pol, Int32.Parse(s[4]), Int32.Parse(s[5]), Int32.Parse(s[6]));
                br++;
            }
            lbKosarka.Resources.Clear();
            for (int i = 0; i < br; i++)
            {
                Console.WriteLine(k[br]);
                lbKosarka.Resources.Add(k[br], br);
                if (i == 0)
                {
                    sportista = new Lista<Sportista>(k[i]);

                }
                else
                    sportista.Add(k[i]);
           }

            r.Close();

              
                     
            
        }

        private void btnUcitajFud_Click(object sender, RoutedEventArgs e)
        {
            StreamReader r = new StreamReader(Properties.Settings.Default.Fudbaleri);
            String[] s;
            Pol pol = 0;
            Fudbaler[] f = new Fudbaler[100];
            int br = 0;
            while (r.EndOfStream)
            {

                s = r.ReadLine().Split(',');
                if (s[6].Equals("m"))
                    pol = Pol.musko;
                else pol = Pol.zensko;
                f[br] = new Fudbaler(s[0], s[1], s[2], DateTime.Parse(s[3]), pol, Int32.Parse(s[4]), Int32.Parse(s[5]));
                br++;
            }
            lbKosarka.Resources.Clear();
            for (int i = 0; i < br; i++)
            {
                lbFudbal.Resources.Add(f[br], br);
                sportista.Add(f[br]);
            }
            r.Close();

        }

        private void btnPrikaz1_Click(object sender, RoutedEventArgs e)
        {

            if (cbPrikaz.SelectedIndex == 1)
            {
                sportista.Sortiraj();
                for (int i = 0; i < 100;i++)
                    lbPrikaz.Resources.Add(sportista, sportista[i]);
            }

            if (cbPrikaz.SelectedIndex == 2)
            {
                for (int i = 0; i < 100; i++)
                {
                    if (sportista[i].PolSportiste == Pol.zensko)
                        lbPrikaz.Resources.Add(sportista, sportista[i]);
                }
            }

        }
    }
}
