﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    public class Sportista : IUporediv<Sportista>
    {

        private string registracioniBroj;

        public string RegistracioniBroj
        {
          get { return registracioniBroj; }
          private set { registracioniBroj = value; }
        }
        private string ime;

        public string Ime
        {
          get { return ime; }
          private set { ime = value; }
        }
        private string prezime;

        public string Prezime
        {
          get { return prezime; }
          private set { prezime = value; }
        }


        private DateTime datumRodjenja;

        public DateTime DatumRodjenja
        {
          get { return datumRodjenja; }
          private set { datumRodjenja = value; }
        }
        private Pol pol;

        public Pol Pol
        {
          get { return pol; }
          private set { pol = value; }
        }

        public Sportista(string registraioniBroj, string ime, string prezime, DateTime datumRodjenja, Pol pol)
        {
            RegistracioniBroj = registracioniBroj;
            Ime = ime;
            Prezime = prezime;
            DatumRodjenja = datumRodjenja;
            Pol = pol;
        }

        public int IndexKorisnosti { get; set; }

        public bool Uporedi(Sportista element)
        {
            if (this.RegistracioniBroj.Equals(element.RegistracioniBroj))
                return true;

            return false;
        }

        public override string ToString()
        {
            return IndexKorisnosti + ", " + Ime + " " + Prezime + " " + DatumRodjenja;
        }
    }
}
