﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication1
{
    public class Lista<T>
    {
        T vrednost;
        Lista<T> lista;

        public Lista(Lista<T> a)
        {
         
            this.lista=a;
        }

      

        public void Add(Lista<T> x)
        {
            int i=0;

            if (x is IUporediv<T>)
            {
                while(lista[i]!=null)
                {
                    if (lista[i] == null && lista[i]!=x)
                    {
                        lista[i]=x;
                    }
                    lista[i] = lista[i++];
                }
            }
        }


        public Lista<T> this[int i]
        {
            get 
            {
                return this.lista[i];
            }
            set 
            {
                this.lista[i] = value;
            }
        }



        public IEnumerable<Lista<T>> VratiEnumerator()
        {
            int i = 0;
            while (lista[i]!=null)
            {
                yield return lista[i];
                lista[i] = lista[i++];
            }
           
        }

        public void toString()
        {
            int i = 0;
            while (lista[i] != null)
            {
                yield return String.Format("{0}",this.lista.vrednost);
                lista[i] = lista[i++];
            }
           
        }

    }
}
