﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{
    class Fudbaler:Sportista
    {
        private int brojAsistencija;
        private int brojGolova;

        public int BrojAsistencija { get { return this.brojAsistencija; }  }
        public int BrojGolova { get { return this.brojGolova; }  }

        public Fudbaler(string registracioniBroj, string ime, string prezime, DateTime datumRodjenja, Pol pol, int a, int p) : base(registracioniBroj, ime, prezime, datumRodjenja, pol)
        {
            this.brojAsistencija = a;
            this.brojGolova = p;
        }

        public override int IndexKorisnosti { get { return brojGolova * 30 + brojAsistencija * 20; }  }

        public override string toString()
        {
            return base.toString() + " golovi = " + this.brojGolova + " asistencije = " + this.BrojAsistencija;
        }

    }
}
