﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Kolokvijum
{

    

    public class Lista<T> where T:IUporediv<T>
    {
        public T polje;
        public Lista<T> sledeci;

        public delegate bool Uslov(T p);
        public delegate bool SortDelegat(T p, T s);

        public Lista(T p)
        {
            this.polje = p;
            sledeci = null;
        }

        public void Add(T p)
        {
            Lista <T> temp= this;
            while (true)
            {
                if (temp.polje.Uporedi(p)) return;
                if (temp.sledeci == null) break;
                temp = temp.sledeci;

            }
            temp.sledeci = new Lista<T>(p);
        }



        public T this[int x]
        {
            get { return indexOf(x); }
        }

        private T indexOf(int x)
        {
            int i=0;
            Lista<T> temp=this;
            while (i < x)
            {
                if (temp.sledeci == null) break;
                temp = temp.sledeci;
                i++;
            }
            if (i == x) return temp.polje;
            return default(T);
        }

        public IEnumerable<T> VratiEnumeratorPremaSelekciji(Uslov p)
        {
            int i=0;
            while (this[i] != null)
            {
                if (p(this[i])) yield return this[i];
                i++;
            }
        }
        /*
        public Lista<T> VratiSortiranuListu(SortDelegat d)
        {
            
        }
        */





       
    }
}
