﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

public enum Pol
{
    musko,
    zensko
}


namespace DrugiKol
{
    public class Sportista : IUporediv<Sportista>
    {
        //private string registracioniBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;
        public string RegistracioniBroj { get { return registracioniBroj; } }
        public string Ime { get { return ime; } }
        public string Prezime { get { return prezime; } }
        public DateTime DatumRodjenja { get { return datumRodjenja; } }
        public Pol PolSportiste { get { return pol; } }
        private string registracioniBroj;

        public string RegistracionBroj
        {
            get { return registracioniBroj; }
            
        }
        


        public Sportista(string registracioni, string ime, string prezime, DateTime datum, Pol pol)
        {
            this.registracioniBroj = registracioni;
            this.ime = ime;
            this.prezime = prezime;
            this.datumRodjenja = datum;
            this.pol = pol;
        }
        public virtual int IndexKorisnosti { get { return 0; } }



        public bool Uporedi(Sportista element)
        {
            if (element.RegistracioniBroj == this.RegistracioniBroj)
                return true;
            return false;
        }
        public override string ToString()
        {
            return IndexKorisnosti +" "+Ime+" "+Prezime+" "+DatumRodjenja.ToString();
        }
    }
}
