﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication1
{
    class Kosarkas : Sportista
    {
        private int brojAsistencija;
        private int brojPoena;
        private int brojSkokova;

        public int BrojAsistencija
        {
            get { return this.brojAsistencija; }
            private set { this.brojAsistencija = value; }
        }

        public int BrojPoena
        {
            get { return this.brojPoena; }
            private set { this.brojPoena = value; }
        }

        public int BrojSkokova
        {
            get { return this.brojSkokova; }
            private set { this.brojSkokova = value; }
        }

        public Kosarkas(int brAs, int brP, int brSk, string regBr, string ime, string prezime, DateTime datRodj, Pol pol)
            : base(regBr,ime,prezime,datRodj,pol)
        {
            this.brojAsistencija = brAs;
            this.brojPoena = brP;
            this.brojSkokova = brSk;
        }

        public override int IndexKorisnosti
        {
            get
            {
                return this.brojAsistencija+this.brojPoena+this.brojSkokova;
            }
        }

        public string toString()
        {
            return base.toString() + ", poeni = " + this.brojPoena + ", asistencije = " + this.brojAsistencija + ", skokovi = " + this.brojSkokova;
        }
    }
}
