﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WpfApplication1
{
    class Sportista : IUporediv<Sportista>
    {
        private string registracionBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;

        public string RegistracionBroj
        {
            get { return registracionBroj; }
            private set { registracionBroj = value; }
        }

        public string Ime
        {
            get { return ime; }
            private set { ime = value; }
        }

        public string Prezime
        {
            get { return prezime; }
            private set { prezime = value; }
        }

        public DateTime DatumRodjenja
        {
            get { return datumRodjenja; }
            private set { datumRodjenja = value; }
        }

        public Pol PolSportiste
        {
            get { return pol; }
            private set { pol = value; }
        }

        public Sportista(string regBr, string ime, string prezime, DateTime datRodj, Pol pol)
        {
            this.registracionBroj = regBr;
            this.ime = ime;
            this.prezime = prezime;
            this.datumRodjenja = datRodj;
            this.pol = pol;
        }

        public virtual int IndexKorisnosti
        { 
            get 
            { 
                return 0; 
            } 
        }

        bool IUporediv<Sportista>.Uporedi(Sportista s)
        {
            if (this.registracionBroj == s.RegistracionBroj)
                return true;
            else
                return false;
        }


        public string toString()
        {
            return this.IndexKorisnosti + ", " + this.ime + " " + this.prezime + " " + this.datumRodjenja.ToString();
        }

    }
}
