﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace kolokvijum
{
    public enum Pol
    {
        musko, zenko
    }

    public class Sportista:IUporediv<Sportista>
    {


        string registracionBroj;
        string ime;
        string prezime;
        DateTime datumRodjenja;
        Pol pol;

        public string RegistracionBroj { get { return registracionBroj; } }

        public string Ime { get { return ime; } }
        public string Prezime { get { return prezime; } }
        public DateTime DatumRodjenja { get { return datumRodjenja; } }
        public Pol PolSportiste { get { return pol; } }

        public Sportista(string rbroj, string ime, string prezime, DateTime datumrodj, Pol pol)
        {
            this.registracionBroj = rbroj;
            this.ime = ime;
            this.prezime = prezime;
            this.datumRodjenja = datumrodj;
            this.pol = pol;
        }

        public virtual int IndexKorisnosti { get; set; }


        public bool Uporedi(Sportista t)
        {
            if (this.RegistracionBroj == t.RegistracionBroj)
                return true;

            return false;
        }

        public override string ToString()
        {
            return IndexKorisnosti + "," + Ime + " " + Prezime + " " + DatumRodjenja;
        }
    }
}
