﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MilosRakonjac 
{
    public enum Pol 
    {
        musko,
        zensko
    }
    public class Sportista 
    {
        private string registracioniBroj;
        private string ime;
        private string prezime;
        private DateTime datumRodjenja;
        private Pol pol;
        public string RegistracioniBroj { get { return registracioniBroj; } }
        public string Ime { get { return ime; } }
        public string Prezime { get {return prezime;}}
        public DateTime DatumRodjenja { get { return datumRodjenja; } }
        public Pol PolSportiste { get { return pol; } }

        public Sportista(string regBr, string ime, string prezime, DateTime datum, Pol pol) 
        {
            this.registracioniBroj = regBr;
            this.ime = ime;
            this.prezime = prezime;
            this.datumRodjenja = datum;
            this.pol = pol;
        }

        public int IndexKorisnosti { get; private set; }

        public bool Uporedi(Sportista spor)
        {
            if (this.registracioniBroj == spor.RegistracioniBroj) return true;
            return false;
        }

        public string toString() 
        {
            return ("index korisnosti: " + IndexKorisnosti + " " + Ime + " " + Prezime + " " + DatumRodjenja);
        }


        
    }
}
